Skip to content

Action

POST
/api/command/v1/actions
curl --request POST \
--url https://api.ultimateteam.ai/api/command/v1/actions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "action": "example", "idempotencyKey": "example", "input": {} }'
Media typeapplication/json
Action
object
action
required
Action
string
>= 1 characters <= 80 characters
idempotencyKey
required
Idempotencykey
string
>= 1 characters <= 200 characters
input
required
Input
object
key
additional properties
any
Examplegenerated
{
"action": "example",
"idempotencyKey": "example",
"input": {}
}

Successful Response

Media typeapplication/json
Response Action Api Command V1 Actions Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}